sudo gem install rmagick fails

I am getting this error when I try to install RMagick on my machine so I can play with Scruffy graph creator: sudo gem install rmagick Building native extensions. This could take a...

JAVA_HOME not setting for RJB

I am installing RJB by ruby gem on UBUNTU 11.* I added the export JAVA_HOME=/usr/lib/jvm/java-6-... export PATH=$PATH:$JAVA_HOME/bin to the .bashrc file at home directory. But still it throws...

Python equivalent of npm or rubygems

I've been looking around for a package manager that can be used with python. I want to list project dependencies in a file. For example ruby uses Gemfile where you can use bundle install. How can...

How to install rmagick gem on Windows?

How do I install rmagick gem for Windows XP? I already installed ImageMagick with the header files, and I installed RailsInstaller.org which comes with DevKit. I don't know where to look to fix...

-bash: __git_ps1: command not found

I tried to install Ruby 2.0. My command line urped and now looks like the following: -bash: __git_ps1: command not found [11:58:28][[email protected] ~]$ I have not a clue how to get rid of the...

SSL Error When installing rubygems, Unable to pull data from 'https://rubygems.org/

I am trying to do the Michael Hartl tutorial. When I attempt to install rails 3.2.14 in my gemset, I get the following issue: $ gem install rails -v 3.2.14 ERROR: Could not find a valid gem...

LESS to CSS conversion

I'm very eager to start working with LESS. I've been trying to figure out how should I convert my LESS to CSS. I googled and found a lot of things which actually confused me more rather than...

Homebrew postgres broken

I installed Postgresql 9.4.0 installed on my Mac (10.10.1/Yosemite) using homebrew. It does not work. I have created the softlink to /usr/local/opt/postgresql/homebrew.mxcl.postgresql.plist in...

Command not found for react-native and create-react-app(Mac OS)

I think I've broken my node/react-native/react PATHs/installation/links and since yesterday I'm trying to figure out what to do. The errors are: zsh: command not found: create-react-app zsh:...

An error occurred while installing mysql2 (0.4.8), and Bundler cannot continue

How can I fix this error in ruby on rail. source 'https://rubygems.org' git_source(:github) do |repo_name| repo_name = "#{repo_name}/#{repo_name}" unless repo_name.include?("/") ...

What is the difference between Bash and Ubuntu terminals on Windows 10

I recently installed Ubuntu for Windows and now inside the Start Menu there are 2 new items: Bash Bash This terminal opens in: [email protected]:/mnt/c/Windows/System32# Ubuntu Ubuntu This terminal...

Trying to install RVM and getting: Error running '__rvm_make -j2'

I was trying to install RVM with stable ruby on a mac and got a make error: abbreviated console output: \curl -sSL https://get.rvm.io | bash -s stable --ruby\curl -sSL https://get.rvm.io ...

Sublime Text 3 SASS Build error, cannot build a css file

I'm using SASSBuild on Sublime Text3 to save style.scss as a nested .css but keep failing with exit code 64. All installs were successful: -packages: SASS, SCSS, SASSBuild -SASS using...

rvm : Failed to create the file bin-ruby-2.6.3.tar.bz2.part: Permission denied

I'm trying to install unsuccessfully ruby from rvm rvm install ruby And I have this result Failed to create the file bin-ruby-2.6.3.tar.bz2.part: Permission denied Did you have an idea about...

pod install in cocoapods not working after updating macOS to catalina

When executing $pod install at specific xcode workspace folder, the terminal shows: bad interpreter: No such file or directory The default interactive shell is now zsh. To update your account to...

How to install wkhtmltopdf on Docker Ruby-2.5.1 Alpine Linux?

RUN apk --update add ttf-ubuntu-font-family wkhtmltopdf I am trying to install wkhtml using this command on docker image ruby-2.5.1:alpine but error is: fetch...

CocoaPods not installed or not in valid state

Launching lib/main.dart on iPhone 11 Pro Max in debug mode... Warning: CocoaPods is installed but broken. Skipping pod install. You appear to have CocoaPods installed but it is not working. ...

Deploy failed Netlify

Blockquote 2:27:28 PM: Waiting for other deploys from your team to complete 2:27:30 PM: Build ready to start 2:27:32 PM: build-image version: b0258b965567defc4a2d7e2f2dec2e00c8f73ad6 2:27:32...

How do I fix this error: "Your bundle only supports platforms [] but your local platforms are ["ruby", "x86_64-darwin-19"], and there's no compati..."

When I run bundle install this is the response I get "Your bundle only supports platforms [] but your local platforms are ["ruby", "x86_64-darwin-19"], and there's no compatible match between...

Failed to build iOS project. We ran "xcodebuild" command but it exited with error code 65

I am new in react native development. I am using new MacBook Air (M1, 2020) with M1 chip. I have Installed the dependency below: Node = v14.15.3 Npm = 6.14.9 Homebrew = 2.7.0 react-native-cli:...

The compiler failed to generate an executable file. (RuntimeError) when install unf_ext in macOS

when I am using this command in macOS 10.15.7 to install unf_ext: sudo gem install unf_ext -v '0.0.7.7' --source 'https://gems.ruby-china.com' shows this...

React Native pod install failed on Apple Silicon (M1)

I got my new Macbook Pro which has M1 chip. I tried to run my react native project but stucked on pod install. After that, I created an empty project and tried on that still getting the same...

Opening Realm files of format version 5 is not supported by this version of Realm

I can't find a way to read my Realm file. I assumed Realm is backwards compatible. The Realm objects/attributes/classes have remained exactly the same. I tried changing the schema and also tried...

undefined method `each_child' for #<Dir:0x00007fcc34ccf6e8> Did you mean? each_slice

Since I run flutter upgrade when I try to run my flutter app I get this error : [!] An error occurred while processing the post-install hook of the Podfile undefined method `each_child'...

Failed to install CocoaPods dependencies for iOS project React-Native

So I tried to use react-native on my brand new MacBook but I'm having some issues. (I'm on MacOs BigSur Version 11.2.2 with a M1) I followed the step on the environnement setup on react native...

Error installing Jekyll: Failed to build native extension | macOS BigSur

maybe someone can help me. I follow the instructions on https://jekyllrb.com/docs/installation/macos/ I have installed Ruby 3.0.1 via homebrew and set all paths. ruby 3.0.1p64 (2021-04-05 revision...

Unable to install Cocoapods in macOS Monterey Version 12.0 Beta - Xcode 13.0(13A233)

unable to install Cocoapods in MacOS 12.0 Beta and Xcode Version 13.0 here is terminal output for sudo gem install cocoapods [email protected] ~ % sudo gem install...

Rails new command giving errors

I've been racking my brains trying to solve these issues. Every time I try to create a new Rails app using the rails new command, I get errors. The corresponding files are created, but I really...

Active Admin won't install: superclass mismatch for class StringIO (TypeError)

I was recently trying to install Active Admin but it keeps producing this error below. I have added activeadmin, devise, draper, cancancan, and pundit to the gemfile. For reference, I am trying to...

Rails bundle install Could not find turbo-rails-7.1.1 in any of the sources

On a brand new digitalocean droplet running Ubuntu 20.10 with a brand new pretty near empty rails 7 alpha 2 app running bundle install results in the following both when running cap production...